Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017822
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2011-06-29 16:112011-07-06 02:42
Reporterdmitry_mezentsevView Statuspublic 
Assigned Toiperdomo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionf6fe9f48c622
ProjectionnoneETAnoneTarget Version3.0MP1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017822: Ability to export to CSV Query List widget should be Premium Functionality

DescriptionAbility to export to CSV Query List widget should be Premium Functionality (available only for Basic / Professional Edition instances)
Steps To ReproduceWould be also great to change the label from "Export as CSV" to "Export to Spreadsheet".
Proposed SolutionNotification pop-up should be the same like we have for the Audit Trail

http://www.diigo.com/item/image/qb3q/rok2 [^]
TagsNo tags attached.
Attached Filespng file icon learn-more.png [^] (57,997 bytes) 2011-06-29 17:09

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0038599)
dmitry_mezentsev (developer)
2011-06-29 17:00

Ivan,

Current pop-up itself is a bit "ugly" in a sense of being quite big for the message. I know that Asier for the Upgrade process used some Smart Client pop-ups that have much better look and feel and can also have links in them.

Could make sense to sync-up with him (if needed).
(0038600)
iperdomo (developer)
2011-06-29 17:10

@Dmitry:

Let's use the same message we are using when trying to delete the "Welcome to Openbravo" widget. Attached a pic.
(0038610)
hgbot (developer)
2011-06-29 20:26

Repository: erp/devel/pi
Changeset: 95c1254abff07f835a36b5b3abf5e4e9d8c5d5dc
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Wed Jun 29 20:26:12 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/95c1254abff07f835a36b5b3abf5e4e9d8c5d5dc [^]

Fixes issue 17822: Added restriction on export to CSV

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0038617)
hgbot (developer)
2011-06-30 11:54

Repository: erp/devel/pi
Changeset: 6303f1408f1a26479989643716eeafddb974aded
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Jun 30 11:47:17 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6303f1408f1a26479989643716eeafddb974aded [^]

Issue 17822: Rollback toolbar changes

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0038618)
hgbot (developer)
2011-06-30 11:54

Repository: erp/devel/pi
Changeset: f6fe9f48c6223e329ffa51590e61b075a12b1814
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Jun 30 11:53:22 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f6fe9f48c6223e329ffa51590e61b075a12b1814 [^]

Fixes issue 17822: Added restriction on export to CSV

---
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-widget.js
---
(0038689)
shuehner (administrator)
2011-07-01 14:33

Reviewed&tested on pi/pgsql/chromium (rev: b6843b9634b8). Export csv of query list widgets is now only available for an activated instance (basic or professional). When being used with a community instance a dialog is shown instead mentioning new requirement + link to web-page about acquiring basic edition.
(0038825)
hudsonbot (developer)
2011-07-06 02:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1c481b1a146 [^]

Maturity status: Test
(0038827)
hudsonbot (developer)
2011-07-06 02:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1c481b1a146 [^]

Maturity status: Test
(0038828)
hudsonbot (developer)
2011-07-06 02:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1c481b1a146 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-06-29 16:11 dmitry_mezentsev New Issue
2011-06-29 16:11 dmitry_mezentsev Assigned To => shuehner
2011-06-29 16:11 dmitry_mezentsev Modules => Core
2011-06-29 16:43 iperdomo Status new => scheduled
2011-06-29 16:43 iperdomo Assigned To shuehner => iperdomo
2011-06-29 16:43 iperdomo fix_in_branch => pi
2011-06-29 17:00 dmitry_mezentsev Note Added: 0038599
2011-06-29 17:09 iperdomo File Added: learn-more.png
2011-06-29 17:10 iperdomo Note Added: 0038600
2011-06-29 20:26 hgbot Checkin
2011-06-29 20:26 hgbot Note Added: 0038610
2011-06-29 20:26 hgbot Status scheduled => resolved
2011-06-29 20:26 hgbot Resolution open => fixed
2011-06-29 20:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/95c1254abff07f835a36b5b3abf5e4e9d8c5d5dc [^]
2011-06-30 11:27 iperdomo Status resolved => new
2011-06-30 11:27 iperdomo Resolution fixed => open
2011-06-30 11:27 iperdomo Status new => scheduled
2011-06-30 11:54 hgbot Checkin
2011-06-30 11:54 hgbot Note Added: 0038617
2011-06-30 11:54 hgbot Checkin
2011-06-30 11:54 hgbot Note Added: 0038618
2011-06-30 11:54 hgbot Status scheduled => resolved
2011-06-30 11:54 hgbot Resolution open => fixed
2011-06-30 11:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/95c1254abff07f835a36b5b3abf5e4e9d8c5d5dc [^] => http://code.openbravo.com/erp/devel/pi/rev/f6fe9f48c6223e329ffa51590e61b075a12b1814 [^]
2011-07-01 14:33 shuehner Note Added: 0038689
2011-07-01 14:33 shuehner Status resolved => closed
2011-07-06 02:42 hudsonbot Checkin
2011-07-06 02:42 hudsonbot Note Added: 0038825
2011-07-06 02:42 hudsonbot Checkin
2011-07-06 02:42 hudsonbot Note Added: 0038827
2011-07-06 02:42 hudsonbot Checkin
2011-07-06 02:42 hudsonbot Note Added: 0038828


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker